Package Details: libtorch 1.5.0-2

Git Clone URL: https://aur.archlinux.org/libtorch.git (read-only, click to copy)
Package Base: libtorch
Description: PyTorch C++ API
Upstream URL: https://pytorch.org/cppdocs/
Keywords: c++ cpp pytorch torch
Licenses: BSD
Submitter: stvhuang
Maintainer: stvhuang
Last Packager: stvhuang
Votes: 1
Popularity: 0.022840
First Submitted: 2020-03-16 09:18
Last Updated: 2020-05-26 07:54

Dependencies (3)

  • sed (sed-git) (make)
  • cuda (cuda65) (optional) – NVIDIA's GPU programming toolkit
  • cudnn (optional) – NVIDIA CUDA Deep Neural Network library

Required by (0)

Sources (1)

Latest Comments

stvhuang commented on 2020-07-03 14:05

@pychuang I didn't know that python-pytorch already includes C++ frontend. This package now seems to be somewhat redundant. I'll update conflicts list and may ask the AUR officials to delete it. Thanks for your informing!

pychuang commented on 2020-07-02 18:43

Installing to /usr conflicts with python-pytorch-XXXX packages provided in the official Arch Linux repository. Maybe it's better to install to /opt/libtorch?

It also seems the official python-pytorch-XXXX packages already include the libtorch C++ frontend. So from the package management viewpoint, if this package is still installed to /usr, the PKGBUILD should have those python-pytorch-XXXX packages in its conflicts property.